Bug 1889855 - [4.6.z] support new AWS regions ap-east-1, af-south-1, eu-south-1
Summary: [4.6.z] support new AWS regions ap-east-1, af-south-1, eu-south-1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Micah Abbott
QA Contact: Yunfei Jiang
URL:
Whiteboard:
Depends On: 1889852
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 17:26 UTC by Micah Abbott
Modified: 2020-11-16 14:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1889852
Environment:
Last Closed: 2020-11-16 14:37:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 4286 None closed Bug 1889855: additional AWS regions for RHCOS AMIs 2020-11-11 05:05:33 UTC
Red Hat Product Errata RHBA-2020:4987 None None None 2020-11-16 14:38:00 UTC

Description Micah Abbott 2020-10-20 17:26:07 UTC
+++ This bug was initially created as a clone of Bug #1889852 +++

See RFEs requesting support for new AWS regions:  ap-east-1 af-south-1 eu-south-1

https://issues.redhat.com/browse/RFE-903
https://issues.redhat.com/browse/RFE-1267

This BZ will be used to bump the installer boot image once the 4.7 AMIs are built and copied to those regions.

--- Additional comment from Micah Abbott on 2020-10-20 17:25:19 UTC ---

MR to add regions - https://gitlab.cee.redhat.com/openshift-art/rhcos-upshift/-/merge_requests/209

Comment 1 Micah Abbott 2020-10-20 17:28:15 UTC
MR to add regions for 4.6 - https://gitlab.cee.redhat.com/openshift-art/rhcos-upshift/-/merge_requests/211

Comment 2 Micah Abbott 2020-10-21 13:56:36 UTC
Adding the UpcomingSprint label in case this doesn't get resolved by the end of our Sprint.

Comment 4 Micah Abbott 2020-10-21 19:40:15 UTC
@kdube suggested I move this BZ to the Installer component.

The changes are already in flight in the PR, but this way the Installer QE can verify that everything works as expected in the new regions.

Comment 7 Yunfei Jiang 2020-11-11 07:23:05 UTC
verified. PASS.
version: 4.6.0-0.nightly-2020-11-07-035509

Comment 9 errata-xmlrpc 2020-11-16 14:37:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.4 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4987


Note You need to log in before you can comment on or make changes to this bug.